Package com.scriptel.proscript

## Class AbstractInputListener

- java.lang.Object
- - com.scriptel.proscript.AbstractInputListener

- All Implemented Interfaces:
    `InputListener`

      public abstract class AbstractInputListener
      extends java.lang.Object
      implements InputListener

  This class implements InputListener and provides default stubbed implementations of all of the required methods. This is a convenience class that can be extended to make code more concise.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractInputListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `receiveButtonEvent​(ButtonEvent c)` | Receives a button event.
    `void` | `recieveADCChannelValues​(ADCChannelValues c)` | Receives an ADC channel value reading.
    `void` | `recieveADCScanValues​(ADCScanValues c)` | Receives an ADC scan value reading.
    `void` | `recieveCoordinateEvent​(Coordinate c)` | Receives either a coordinate or an extended coordinate from the device.
    `void` | `recieveDebugCoordinateEvent​(DebugCoordinate c)` | Receives a debug coordinate.
    `void` | `recieveMagneticStripEvent​(MagneticCardSwipe c)` | Receives a magnetic card swipe event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractInputListener

          public AbstractInputListener()

  - ### Method Detail

    - #### recieveCoordinateEvent

          public void recieveCoordinateEvent​(Coordinate c)

      Description copied from interface: `InputListener`
      Receives either a coordinate or an extended coordinate from the device.
      Specified by:
        `recieveCoordinateEvent` in interface `InputListener`
      Parameters:
        `c` - Coordinate to receive.

    - #### recieveDebugCoordinateEvent

          public void recieveDebugCoordinateEvent​(DebugCoordinate c)

      Description copied from interface: `InputListener`
      Receives a debug coordinate.
      Specified by:
        `recieveDebugCoordinateEvent` in interface `InputListener`
      Parameters:
        `c` - Debug coordinate to receive.

    - #### recieveMagneticStripEvent

          public void recieveMagneticStripEvent​(MagneticCardSwipe c)

      Description copied from interface: `InputListener`
      Receives a magnetic card swipe event.
      Specified by:
        `recieveMagneticStripEvent` in interface `InputListener`
      Parameters:
        `c` - Magnetic card swipe event.

    - #### recieveADCScanValues

          public void recieveADCScanValues​(ADCScanValues c)

      Description copied from interface: `InputListener`
      Receives an ADC scan value reading.
      Specified by:
        `recieveADCScanValues` in interface `InputListener`
      Parameters:
        `c` - ADC scan value reading.

    - #### recieveADCChannelValues

          public void recieveADCChannelValues​(ADCChannelValues c)

      Description copied from interface: `InputListener`
      Receives an ADC channel value reading.
      Specified by:
        `recieveADCChannelValues` in interface `InputListener`
      Parameters:
        `c` - ADC channel value reading.

    - #### receiveButtonEvent

          public void receiveButtonEvent​(ButtonEvent c)

      Description copied from interface: `InputListener`
      Receives a button event.
      Specified by:
        `receiveButtonEvent` in interface `InputListener`
      Parameters:
        `c` - Button event.